import java.util.*;
import java.util.concurrent.*;

public class Sample {
	public static void main(String[] args) throws Exception {
	  //Where can we use lambdas?
	  
	  //Anywhere a functional interfaces is expected.
	  //That is a single abstract method interface.
	  
	  //Examples: Runnable, Callable, ActionListener, your own interfaces,...
	  
	  ExecutorService executors = Executors.newFixedThreadPool(10);
	  
	  System.out.println(
	  executors.submit(new Callable<Integer>() {
	    public Integer call() {
	      return 2;
	    }
	  }).get());

	  System.out.println(executors.submit(() -> 2).get());
	  
	  executors.shutdown();
  }
}
